Subject: Re: Multicast and receive filtering in TUN/TAP

From: Max Krasnyansky <[email-masked]>
Date: Fri, 11 Jul 2008 01:01:58 -0700

Rusty Russell wrote:
> On Friday 11 July 2008 12:20:07 Max Krasnyansky wrote:
>>>> I haven't looked at the virtio stuff much, I was assuming that the host
>>>> side of it is still the TUN driver. Is it not ?
>>> Yes, the host side is still tun/tap. The problem is that qemu doesnt know
>>> which multicast addresses are used inside the guest.
>> Ah, now I see what you meant by virtio_net does not do multicast. I guess
>> it should trivial to add. Rusty will clarify it I guess.
> 
> Yes, it could certainly be added; that's what feature bits are for :)

Sounds good.
I'll send the patch that lets you guys setup tx filters on the TAP devices.
Hypervisors will then need to translate rx filters set by the guest OS into
TAP tx filters. I'm thinking of doing it just like E1000 for example. 14 exact
filters and the rest is hashed.

Max